<?php
/* Busqueda de registros de la tabla VTA_Vendedor redefinidos por el usuario. */
class VTA_VendedorFN extends BaseVTA_VendedorFN
{
    public static function select_all( $IdVendedor=null )
    {
        $s_Sql = "SELECT P.IdPersona, P.NombreCompleto, P.Estado, V.Estado, P.IdUsuario
                    FROM VTA_Vendedor V
                      INNER JOIN MST_PersonaMast P ON V.IdPersona=P.IdPersona
                        left join SEG_Usuario U ON P.IdUsuario=U.IdUsuario
                    WHERE 1=1
                    AND V.Estado='A' AND P.Estado='A' AND U.DeshabilitadoFlg='N'
                    ;";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $a_lst = array();
        if( $o_ResultSet->getRecordCount() > 0 )
        {
            while( $o_ResultSet->next() ) 
            {
                $a_Row = $o_ResultSet->getRow(); //devuele array
                if( is_null( $IdVendedor ) )
                {
                    $a_lst[] = $a_Row;
                }
                else
                {
                    if( $IdVendedor == $a_Row['IdUsuario'] )
                    {
                        $a_lst[] = $a_Row;
                    }
                }
            }
        }
        return $a_lst;
    }
}
?>